<div class="container-fluid">
	<div class="row">
		<div class="col-sm-3 pt-3" style="height: calc(100vh - 100px);overflow-y: auto;">
	
			<!-- button to create new folder... -->
			<span class="badge badge-success" data-toggle="modal" data-target="#folderModal" style="cursor: pointer;">New Folder</span>
	
			<hr>

			<a routerLink="/arjun" class="bg-danger text-light p-1"><i class="fa fa-folder"></i> /</a>
			<div class="folders" style="margin-left: 1rem;">
				<app-folder [folders]=folders></app-folder>
			</div><!--  -->
		</div><!-- end .cols -->
		<div class="col-sm-9" style="height: calc(100vh - 100px);overflow-y: auto;">
			<router-outlet></router-outlet>
		</div><!-- end .col -->

	</div><!-- end .row -->
</div><!-- end .container-fluid -->

<!-- folder modal component angular... -->
<app-folder-modal [folders]=folders [mode]="modalMode" [selectedFolder]="selectedFolder"></app-folder-modal>

<!-- DROP DOWN.. temporarily done this way.. -->
<div id="cc-folder-options" style="position: absolute; background: #fff; border:1px solid rgba(0,0,0,.15); z-index: 1000; border-radius: .25rem; padding: .5rem 0;float:left;display: none;top: 0;
  left: 0;" >
  <a class="dropdown-item" (click)="newCode()">New Code</a>
  <a class="dropdown-item" (click)="newFolder()">New Folder</a>
  <a class="dropdown-item" (click)="editFolder()">Edit</a>
  <!-- delete folder on click -->
  <a class="dropdown-item" (click)="deleteFolder()">Delete</a>
</div>